package com.bcxin.ars.dto;

import com.bcxin.ars.model.task.Task;

/**
 * 任务搜索类
 * @author Ethan
 */
public class TaskSearchDto extends SearchDto<Task> {

	private String name;//任务名称

	private Long companyId;
	
	private Long personId;

	private Integer taskType;//任务类型
	
	private Integer isRepeat;//考勤类型
	
	private String address;//地点

	private String[] areas;//区域
	
	private String taskCatalog;//任务分类
	
	private String taskLevel;//任务等级

	private String[] taskTypeIds;//任务类型ids
	
	private String[] taskStatus;//任务状态
	
	private String taskTypeName;//任务类型名

	private String acceptStatus;//任务接受状态
	
	private String[] acceptStatuses;//任务接受状态ids
	
	private String startDate;
	
	private String endDate;
	/**
	 * 不查询任务类型
	 */
	private String searchtype;



	/**
	 * 紧急类型 1 自然灾害 2 事故灾难 3 公共卫生事件 4 社会安全事件
	 */
	private String urgenttype;
	/***
	 * 紧急程度 1 一般 2 较大 3 重大 4 特别重大
	 */
	private String urgentdegree;
	/***
	 * 更新时间
	 */
	private String updateTime;
	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public String getSearchtype() {
		return searchtype;
	}

	public void setSearchtype(String searchtype) {
		this.searchtype = searchtype;
	}

	public String getUrgenttype() {
		return urgenttype;
	}

	public void setUrgenttype(String urgenttype) {
		this.urgenttype = urgenttype;
	}

	public String getUrgentdegree() {
		return urgentdegree;
	}

	public void setUrgentdegree(String urgentdegree) {
		this.urgentdegree = urgentdegree;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getTaskType() {
		return taskType;
	}

	public void setTaskType(Integer taskType) {
		this.taskType = taskType;
	}

	public Integer getIsRepeat() {
		return isRepeat;
	}

	public void setIsRepeat(Integer isRepeat) {
		this.isRepeat = isRepeat;
	}
	
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public String[] getAreas() {
		return areas;
	}

	public void setAreas(String[] areas) {
		this.areas = areas;
	}

	public String getTaskCatalog() {
		return taskCatalog;
	}

	public void setTaskCatalog(String taskCatalog) {
		this.taskCatalog = taskCatalog;
	}

	public String getTaskLevel() {
		return taskLevel;
	}

	public void setTaskLevel(String taskLevel) {
		this.taskLevel = taskLevel;
	}

	public String[] getTaskTypeIds() {
		return taskTypeIds;
	}

	public void setTaskTypeIds(String[] taskTypeIds) {
		this.taskTypeIds = taskTypeIds;
	}

	public String[] getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(String[] taskStatus) {
		this.taskStatus = taskStatus;
	}
	
	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getPersonId() {
		return personId;
	}

	public void setPersonId(Long personId) {
		this.personId = personId;
	}

	public String getAcceptStatus() {
		return acceptStatus;
	}

	public void setAcceptStatus(String acceptStatus) {
		this.acceptStatus = acceptStatus;
	}

	public String getTaskTypeName() {
		return taskTypeName;
	}

	public void setTaskTypeName(String taskTypeName) {
		this.taskTypeName = taskTypeName;
	}

	public String[] getAcceptStatuses() {
		return acceptStatuses;
	}

	public void setAcceptStatuses(String[] acceptStatuses) {
		this.acceptStatuses = acceptStatuses;
	}
	
	
}
